Subject: bug#70036: a fix that

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 15:13:01 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 19 Apr 2024 13:00:54 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> 
> On Fri, Apr 19, 2024 at 12:01 PM Eli Zaretskii <[email-masked]> wrote:
> 
> > > Yes, that's what my latest patch does.  But ideally it would be cleaner
> > > (IMHO) to have a fast usable find-buffer-visiting by speeding
> > > up its underlying file-truename.
> >
> > We did that at least to some extent in the improvements submitted by
> > Ihor and now available on master.  From where I stand, we now have a
> > reasonably performant implementation of find-buffer-visiting; I would
> > need benchmarks showing otherwise to change my mind.
> 
> Theo's latest measurements show that -- in context -- there is a 4%
> time spent in find-buffer-visiting and all of that is due to its
> delegation of work to file-truename.  Does that change your mind?

No.  The original slow-down due to find-buffer-visiting (admittedly,
not in Eglot) was much worse.